# $Revision: 1.21 $, $Date: 2007/02/12 21:23:54 $
%define		module	pydev
%define		_ver	1.2.5
%define		_src_name	org.python.pydev.feature
%define		_src_ver	%(echo %{_ver}|tr . _)
Summary:	Python development environment for Eclipse
Summary(pl.UTF-8):	Środowisko programistyczne Pythona dla Eclipse
Name:		eclipse-%{module}
Version:	%{_ver}
Release:	1
License:	CPL
Group:		Development/Tools
Source0:	http://dl.sourceforge.net/pydev/%{_src_name}-%{_src_ver}.zip
# Source0-md5:	e2ca769825fa133dfc34c2a13bf1c06a
URL:		http://pydev.sourceforge.net/
BuildRequires:	rpm-pythonprov
BuildRequires:	unzip
Requires:	eclipse >= 3.2
Requires:	python
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	_eclipsedir	%{_datadir}/eclipse

%description
PyDev is a plugin for Eclipse for editing, running and debugging 
Python scripts.

%description -l pl.UTF-8
PyDev jest wtyczką dla Eclipse służącą do edycji, uruchamiania
i odpluskwiania skryptów Pythona.

%prep
%setup -q -c -T
unzip -qq %{SOURCE0} -x *.db

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_eclipsedir}/{features,plugins}
cp -rf eclipse/features/* $RPM_BUILD_ROOT%{_eclipsedir}/features
cp -rf eclipse/plugins/* $RPM_BUILD_ROOT%{_eclipsedir}/plugins

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_eclipsedir}/features/org.python.pydev*
%{_eclipsedir}/plugins/org.python.pydev*

%triggerpostun -- %{name} < 0.9.5-0.3
%banner %{name} -e << EOF
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!!!                                                                !!!
!!! WARNING!!!                                                     !!!
!!!                                                                !!!
!!! An user manual intervention is required after eclipse-pydev    !!!
!!! instalation. To get this plugin working you have to add        !!!
!!! /usr/share/eclipse directory as Extension Location. Click      !!!
!!! from eclipse menu Help->Software Updates->Manage Configuration !!!
!!! ->Add an Extension Location and choose /usr/share/eclipse .    !!!
!!!                                                                !!!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
EOF

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: eclipse-pydev.spec,v $
Revision 1.21  2007/02/12 21:23:54  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:48:47  baggins
- converted to UTF-8

Revision 1.19  2006/12/12 11:54:31  charles
- updated to 1.2.5

Revision 1.18  2006/09/22 19:00:54  maciek2w
- updated to 1.2.3

Revision 1.17  2006/06/03 04:23:55  charles
- updated to 1.0.8

Revision 1.16  2006/03/09 20:19:34  arekm
- up to 1.0.3

Revision 1.15  2006/01/31 23:33:40  arekm
- up to 0.9.8.7

Revision 1.14  2005/11/04 18:03:50  twittner
- fixed trigger condition

Revision 1.13  2005/11/03 09:58:17  charles
- updated to 0.9.8.3

Revision 1.12  2005/10/11 23:44:24  charles
- updated md5

Revision 1.11  2005/10/11 23:36:54  charles
- updated to 0.9.8.2 (new source name)

Revision 1.10  2005/07/26 22:59:17  charles
- updated to 0.9.7 (for eclipse 3.1)
- rel. 1

Revision 1.9  2005/07/03 23:59:34  charles
- reverted - install to %{_libdir}/eclipse/ and R: eclipse < 3.1-1
   it's not currently supported 3.1

Revision 1.8  2005/07/03 20:59:24  twittner
- noarch: files moved to /usr/share/eclipse -> req eclipse >= 3.1-2
- rel. 0.2

Revision 1.7  2005/07/02 20:52:48  charles
- updated to 0.9.5
- rel. 0.1 (req. tests with new version eclipse)

Revision 1.6  2005/06/19 19:45:11  prism
- up to 0.9.4, release 1

Revision 1.5  2005/05/12 12:15:33  charles
- updated to 0.9.3

Revision 1.4  2005/04/23 08:42:44  charles
- updated to 0.9.2
- rel. 1

Revision 1.3  2005/02/07 15:22:55  charles
- updated to 0.9.0

Revision 1.2  2005/01/11 04:00:05  charles
- ignore unzip *.db (junk)

Revision 1.1  2005/01/11 03:19:54  charles
- initial release

